Package org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.AbstractContainerNode

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode
  - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode

- All Implemented Interfaces:
    `ContainerItemProvider.Node`
  Direct Known Subclasses:
    `ContainerItemProvider.ContainerNode`
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public abstract class ContainerItemProvider.AbstractContainerNode
      extends ContainerItemProvider.AbstractNode

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected IListener` | `containerListener` |

    - ### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

      `NO_CHILDREN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractContainerNode​(ContainerItemProvider.Node parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.List<ContainerItemProvider.Node>` | `createChildren()` |
    `void` | `dispose()` |
    `void` | `disposeChildren()` |
    `protected void` | `fillChildren​(java.util.List<ContainerItemProvider.Node> children, IContainer<java.lang.Object> container)` |
    `java.util.List<ContainerItemProvider.Node>` | `getChildren()` |
    `IContainer<java.lang.Object>` | `getContainer()` |
    `boolean` | `hasChildren()` |
    `protected void` | `onAdded​(IContainer<java.lang.Object> container, java.lang.Object element)` |
    `protected void` | `onRemoved​(IContainer<java.lang.Object> container, java.lang.Object element)` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

      `addChild, checkNotDisposed, getParent, getTreePath, isDisposed, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

      `getElement`

- - ### Field Detail

    - #### containerListener

          protected IListener containerListener

  - ### Constructor Detail

    - #### AbstractContainerNode

          public AbstractContainerNode​(ContainerItemProvider.Node parent)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ContainerItemProvider.Node`
      Overrides:
        `dispose` in class `ContainerItemProvider.AbstractNode`

    - #### disposeChildren

          public void disposeChildren()

      Specified by:
        `disposeChildren` in interface `ContainerItemProvider.Node`
      Overrides:
        `disposeChildren` in class `ContainerItemProvider.AbstractNode`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `ContainerItemProvider.Node`
      Overrides:
        `hasChildren` in class `ContainerItemProvider.AbstractNode`
      Since:
        3.4

    - #### getChildren

          public final java.util.List<ContainerItemProvider.Node> getChildren()

    - #### getContainer

          public IContainer<java.lang.Object> getContainer()

    - #### createChildren

          protected java.util.List<ContainerItemProvider.Node> createChildren()

    - #### fillChildren

          protected void fillChildren​(java.util.List<ContainerItemProvider.Node> children,
                                      IContainer<java.lang.Object> container)

      Since:
        3.1

    - #### onAdded

          protected void onAdded​(IContainer<java.lang.Object> container,
                                 java.lang.Object element)

    - #### onRemoved

          protected void onRemoved​(IContainer<java.lang.Object> container,
                                   java.lang.Object element)